<script setup>
import * as data from "../data.json";
const expenses = Object.values(data)[0];
const highestExpenses = [...expenses].sort((a,b)=>a.amount-b.amount).reverse()[0]
</script>

<template>
  <main>
    <div class="balance">
      <img src="./assets/logo.svg" alt="Logo" />
      <p>My balance</p>
      <strong>$921.48</strong>
    </div>

    <div class="expenses">
      <h1>Spending - Last 7 days</h1>
      <div class="weekly">
        <div class="day" v-for="d in expenses">
          <div 
            :class="[d.day === highestExpenses.day? 'graph highest' : 'graph']" 
            :style="{ height: 149.75 * d.amount / highestExpenses.amount + 'px' }"
            >
            <div class="amount">${{d.amount}}</div>
            </div>
          <span class="text">{{d.day}}</span>
        </div>
      </div>
      <hr>
      <div class="totals">
        <div class="numbers-left">
          <span>Total this month</span>
          <strong>$478.33</strong>
        </div>
        <div class="numbers-right">
          <strong>+2.4%</strong>
          <span>from last month</span>
        </div>
      </div>
    </div>
  </main>

  <footer class="attribution">
    Challenge by <a href="https://www.frontendmentor.io?ref=challenge" target="_blank">Frontend Mentor</a>. Coded by <a href="https://saad-shaikh-portfolio.netlify.app/" target="_blank">Saad Shaikh</a>. 
  </footer>
</template>

<style>
@import "./app.css";
</style>
